# TPU ile Yapay Sinir Ağlarınızı Çok Daha Hızlı Eğitin 
## [Google I/O 2019](https://events.google.com/io/) 

---

Would you like to train deep learning models using a TPU?! 
Thanks to **Martin Görner** for letting us publish the work in Turkish!

Derin öğrenme modellerini bir de TPU kullanarak eğitmek ister misiniz?! Biyolojik beyinlerimizden daha hızlı işlem yapabildiğini söyleyen [Martin Görner](https://twitter.com/martin_gorner) tarafından, Google I/O 2019 Konferansında, **GoogleCodeLabs** altında sunulan çalışmayı Türkçe olarak yayınlamamıza izin verdiği için teşekkür ederiz! :sunglasses:

---

![https://twitter.com/martin_gorner/status/1125870518031175680](https://github.com/yapay-ogrenme/googlecodelabs/blob/master/MG_Tweet.PNG)
---
## KONU AKIŞI

### 1. Bölüm 
:apple: _[Orijinal Kaynak](https://codelabs.developers.google.com/codelabs/keras-flowers-data/#0)_


- **[1.1. TPU Hızlı Veri Hattı: Genel Bakış](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.1.-TPU-H%C4%B1zl%C4%B1-Veri-Hatt%C4%B1:-Genel-Bak%C4%B1%C5%9F)**
- **[1.2. TPU Hızlı Veri Hattı: Hızlı Bir Başlangıç](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.2.-Google-Colaboratory-H%C4%B1zl%C4%B1-Ba%C5%9Flang%C4%B1%C3%A7)**
- **[1.3. [BİLGİ] Tensör İşleme Üniteleri (TPU'lar) nedir?](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.3.-%5BB%C4%B0LG%C4%B0%5D-Tens%C3%B6r-%C4%B0%C5%9Fleme-%C3%9Cniteleri-(TPU'lar)-nedir%3F)**
- **[1.4. Verilerin Yüklenmesi](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.4.-Verilerin-Y%C3%BCklenmesi)**
- **[1.5. Verilerin Hızlı Yüklenmesi](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.5.-Verilerin-H%C4%B1zl%C4%B1-Y%C3%BCklenmesi)**
- **[1.6. Tebrikler!!!](https://github.com/yapay-ogrenme/googlecodelabs/wiki/1.6.-Tebrikler!!!)**

---
### 2. Bölüm 
:honey_pot: _[Orijinal Kaynak](https://codelabs.developers.google.com/codelabs/keras-flowers-transfer-learning/#0)_

- **[2.1. Transfer Öğrenme: Genel Bakış](https://github.com/yapay-ogrenme/googlecodelabs/wiki/2.1.-Transfer-%C3%96%C4%9Frenme:-Genel-Bak%C4%B1%C5%9F)**
- **[2.2. Google Colaboratory Hızlı Başlangıç](https://github.com/yapay-ogrenme/googlecodelabs/wiki/2.2.-Google-Colaboratory-H%C4%B1zl%C4%B1-Ba%C5%9Flang%C4%B1%C3%A7)**
- **[2.3. [BİLGİ] Yapay Sinir Ağı ile Sınıflandırma 101](https://github.com/yapay-ogrenme/googlecodelabs/wiki/2.3.-%5BB%C4%B0LG%C4%B0%5D-Yapay-Sinir-A%C4%9F%C4%B1-ile-S%C4%B1n%C4%B1fland%C4%B1rma-101)**
- **[2.4. Transfer Öğrenme](https://github.com/yapay-ogrenme/googlecodelabs/wiki/2.4.-Transfer-%C3%96%C4%9Frenme)**
- **[2.5. Tebrikler!!!](https://github.com/yapay-ogrenme/googlecodelabs/wiki/2.5.-Tebrikler!!!)**

---
### 3. Bölüm 
:grapes: _[Orijinal Kaynak](https://codelabs.developers.google.com/codelabs/keras-flowers-convnets/#0)_

- **[3.1. Keras ve TPU ile Evrişimli Sinir Ağları](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.1.-Keras-ve-TPU-ile-Evri%C5%9Fimli-Sinir-A%C4%9Flar%C4%B1)**
- **[3.2. Google Colaboratory Hızlı Başlangıç](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.2.-Google-Colaboratory-H%C4%B1zl%C4%B1-Ba%C5%9Flang%C4%B1%C3%A7)**
- **[3.3. [BİLGİ] Tensör İşleme Üniteleri (TPU'lar) nedir?](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.3.-%5BB%C4%B0LG%C4%B0%5D-Tens%C3%B6r-%C4%B0%C5%9Fleme-%C3%9Cniteleri-(TPU'lar)-nedir%3F)**
- **[3.4. [BİLGİ] Yapay Sinir Ağı ile Sınıflandırma 101](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.4.-%5BB%C4%B0LG%C4%B0%5D-Yapay-Sinir-A%C4%9F%C4%B1-ile-S%C4%B1n%C4%B1fland%C4%B1rma-101)**
- **[3.5. [YENİ BİLGİ] Evrişimli Sinir Ağları](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.5.-%5BYEN%C4%B0-B%C4%B0LG%C4%B0%5D-Evri%C5%9Fimli-Sinir-A%C4%9Flar%C4%B1)**
- **[3.6. Size özel convnet](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.6.-Size-%C3%B6zel-convnet)**
- **[3.7. Tebrikler!!!](https://github.com/yapay-ogrenme/googlecodelabs/wiki/3.7.-Tebrikler!!!)**
---
### 4. Bölüm 
:hibiscus: _[Orijinal Kaynak](https://codelabs.developers.google.com/codelabs/keras-flowers-squeezenet/#0)_

- **[4.1. Keras ve TPU ile Modern convnets, squeezenet](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.1.-Keras-ve-TPU-ile-Modern-convnets,-squeezenet)**
- **[4.2. Google Colaboratory Hızlı Başlangıç](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.2.-Google-Colaboratory-H%C4%B1zl%C4%B1-Ba%C5%9Flang%C4%B1%C3%A7)**
- **[4.3. [BİLGİ] Tensör İşleme Üniteleri (TPU'lar) nedir?](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.3.-%5BB%C4%B0LG%C4%B0%5D-Tens%C3%B6r-%C4%B0%C5%9Fleme-%C3%9Cniteleri-(TPU'lar)-nedir%3F)**
- **[4.4. [BİLGİ] Yapay Sinir Ağı ile Sınıflandırma 101](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.4.-%5BB%C4%B0LG%C4%B0%5D-Yapay-Sinir-A%C4%9F%C4%B1-ile-S%C4%B1n%C4%B1fland%C4%B1rma-101)**
- **[4.5. [BİLGİ] Evrişimli Sinir Ağları](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.5.-%5BB%C4%B0LG%C4%B0%5D-Evri%C5%9Fimli-Sinir-A%C4%9Flar%C4%B1)**
- **[4.6. [YENİ BİLGİ] Modern Evrişimli Mimariler](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.6.-%5BYEN%C4%B0-B%C4%B0LG%C4%B0%5D-Modern-Evri%C5%9Fimli-Mimariler)**
- **[4.7. Squeezenet](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.7.-Squeezenet)**
- **[4.8. Tebrikler!!!](https://github.com/yapay-ogrenme/googlecodelabs/wiki/4.8.-Tebrikler!!!)**

---

:deciduous_tree: **Uygulamalı Ek Kaynak: [Adım Adım Google Colab Ücretsiz TPU Kullanımı](https://medium.com/@ayyucekizrak/ad%C4%B1m-ad%C4%B1m-google-colab-%C3%BCcretsiz-tpu-kullan%C4%B1m%C4%B1-621dc6e5487d)**

---

## Çeviren ve Düzenleyenler:

:wavy_dash: **[Başak Buluz](https://twitter.com/basakbuluz)**

:wavy_dash: **[Merve Ayyüce Kızrak](https://twitter.com/ayyucekizrak)**

:wavy_dash: **[Yavuz Kömeçoğlu](https://twitter.com/YavuzKomecoglu)**



![](https://github.com/yapay-ogrenme/googlecodelabs/blob/master/BAY.png)

**_Istanbul, Turkey_**

---

![](https://codelabs.developers.google.com/codelabs/keras-flowers-data/img/1dd39cb813f337e2.jpeg) <img src="https://pbs.twimg.com/profile_images/1103339571977248768/FtFnqC38_400x400.png" align="right"  width="160">

**Yazar: Martin Görner**

**Twitter: [@martin_gorner](https://twitter.com/martin_gorner)**


